
QGIS Application - Bug report #10510

Geometryless table sets project CRS to epsg:4326

2014-06-09 07:25 AM - zicke -

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18920

Description

When you add a geometryless table from postgis as the first layer in a new project, the project crs is set to epsg:4326. If you then add a

layer with geometries in another crs than epsg:4326 QGIS enables on-the-fly reprojection and wants to reproject the new layer.

If you add a layer with geometry first and then add a geometryless table QGIS still enables on-the-fly reprojection.

My settings are:

- Default CRS for new projects: "Don't enable 'on the fly' reprojection'

- Always start new projects with this CRS: EPSG:21781

- CRS for new layers "Use project CRS"

Project settings:

- Enable 'on the fly' CRS transformation is unchecked.

Associated revisions

Revision 0a2948af - 2014-06-29 09:52 PM - Jürgen Fischer

only consider the crs of layers with geometry for automatically setting of project crs and otfr (fixes #10510)

History

#1 - 2014-06-09 08:42 AM - zicke -

- Operating System set to Ubuntu 

- OS version set to 12.04

#2 - 2014-06-09 11:25 AM - Jürgen Fischer

please verify if commit:a715ce6d fixes this.

#3 - 2014-06-09 11:26 AM - Jürgen Fischer

- Status changed from Open to Feedback

#4 - 2014-06-09 10:52 PM - zicke -

- Status changed from Feedback to Closed
Fixed. Thanks!

#5 - 2014-06-10 12:13 AM - Jürgen Fischer

- Resolution set to fixed/implemented

#6 - 2014-06-24 04:25 AM - zicke -

- Status changed from Closed to Reopened

It seems to be broken again. But this time without enabling on-the-fly reprojection. Scale is wrong too.

#7 - 2014-06-24 05:07 AM - Giovanni Manghi

- Resolution deleted (fixed/implemented)

#8 - 2014-06-29 12:52 PM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"0a2948af30d4004d8dd732b405da1cfcdaa160b6".

#9 - 2016-04-08 02:25 AM - R. R.

- Status changed from Closed to Reopened

When adding a geometryless PostGIS table to the layers panel the CRS of the layer is WGS 84 (EPSG 4326). In the case of adding a table containing

geometries to an existing geometryless table, the CRS of the project is set to 'EPSG 4326 (OTF)'. My default CRS is MGI / Austria GK East (EPSG

31256).

(Windows 7, QGIS 2.14.1)

#10 - 2016-05-21 01:25 AM - R. R.

- File 10510_screencast.mp4 added

#11 - 2016-05-21 01:31 AM - R. R.

I suppose this is a regression from previous QGIS versions.

#12 - 2016-05-21 01:43 AM - R. R.

- File 10510_csv_layer_properties.png added

#13 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#14 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#15 - 2019-03-09 04:09 PM - Giovanni Manghi
- Status changed from Reopened to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

10510_screencast.mp4 577 KB 2016-05-20 R. R.

10510_csv_layer_properties.png 104 KB 2016-05-20 R. R.
